summaryrefslogtreecommitdiffstats
path: root/system/afdko
diff options
context:
space:
mode:
author Duncan Roe2017-05-13 01:42:56 +0200
committer Willy Sudiarto Raharjo2017-05-13 01:58:52 +0200
commitbf277b809112cda95874ac1d27c6b5e0700dcbd1 (patch)
tree50cba2d5ddc6d75f90562fbe172bcafe4c053c3f /system/afdko
parenta284679f8f1f8422715672cde00bb2a3b9e3c896 (diff)
downloadslackbuilds-bf277b809112cda95874ac1d27c6b5e0700dcbd1.tar.gz
system/afdko: Added (Adobe Font Development Kit for OpenType).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/afdko')
-rw-r--r--system/afdko/README19
-rw-r--r--system/afdko/afdko.SlackBuild107
-rw-r--r--system/afdko/afdko.csh7
-rw-r--r--system/afdko/afdko.info10
-rw-r--r--system/afdko/afdko.sh8
-rw-r--r--system/afdko/slack-desc19
6 files changed, 170 insertions, 0 deletions
diff --git a/system/afdko/README b/system/afdko/README
new file mode 100644
index 0000000000..3a8a240034
--- /dev/null
+++ b/system/afdko/README
@@ -0,0 +1,19 @@
+afdko (Adobe Font Development Kit for OpenType)
+
+The goal of the Adobe Font Development Kit for OpenType package is to
+share the tools used by Adobe font developers for wrapping up
+PostScript (i.e. Type1) fonts as OpenType/CFF font files, and adding
+OpenType layout features. These tools are used for in-house
+development of new Adobe OpenType fonts.
+
+Now that Libreoffice has dropped support for Type1 fonts, one can use
+afdko to convert the system Type1 fonts to OTF, which
+Libreoffice supports. The package Type1_to_OTF does this.
+
+
+Notes for x86_64
+
+As received from upstream, adfko forces the building of 32-bit
+executables. This is fine on a 32-bit system. On a 64-bit system, the
+SlackBuild enables a 64-bit build. This is experimental and unsupported,
+but seems to work OK (at least for makeotf and tx).
diff --git a/system/afdko/afdko.SlackBuild b/system/afdko/afdko.SlackBuild
new file mode 100644
index 0000000000..9413fca168
--- /dev/null
+++ b/system/afdko/afdko.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for afdko
+
+# Copyright 2017 Duncan Roe, Melbourne, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=afdko
+VERSION=${VERSION:-2.5.65322}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+# This symlink is not required (but another one is, later)
+rm -f $PRGNAM-$VERSION/FDK/Tools/linux/AFDKOPython
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Non-standard build process - see README
+
+# Replacement for ./configure
+if [ "$LIBDIRSUFFIX" = 64 ]; then
+ for i in $(find . -name Makefile -o -name '*.mak' | \
+ xargs grep -E -- -m32 | cut -f1 -d:); do
+ cat $i | sed 's/ -m32//' >t5
+ mv t5 $i
+ done
+fi
+
+# Replacement for make
+cd FDK/Tools/Programs
+./BuildAllLinux.sh
+cd ../..
+
+# Replacement for make install
+mkdir -p $PKG/opt/$PRGNAM
+mv Tools/linux Tools/SharedData $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/opt/$PRGNAM/linux/Python/Current/bin
+ln -s $(readlink -f $(type -p python)) \
+ $PKG/opt/$PRGNAM/linux/Python/Current/bin/python2.7
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc/profile.d
+cp -a $CWD/afdko.sh $CWD/afdko.csh $PKG/etc/profile.d/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AFDKO-Overview.html FDK\ Build\ Notes.txt FDKReleaseNotes.txt \
+ Read_Me_First.html Technical\ Documentation ../LICENSE.txt ../README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/afdko/afdko.csh b/system/afdko/afdko.csh
new file mode 100644
index 0000000000..558ae98046
--- /dev/null
+++ b/system/afdko/afdko.csh
@@ -0,0 +1,7 @@
+#!/bin/csh
+setenv FDK_EXE /opt/afdko/linux
+if ( $?PATH ) then
+ echo :${PATH}: | grep -q :${FDK_EXE}: || setenv PATH ${PATH}:${FDK_EXE}
+else
+ setenv PATH ${FDK_EXE}
+endif
diff --git a/system/afdko/afdko.info b/system/afdko/afdko.info
new file mode 100644
index 0000000000..78536edc92
--- /dev/null
+++ b/system/afdko/afdko.info
@@ -0,0 +1,10 @@
+PRGNAM="afdko"
+VERSION="2.5.65322"
+HOMEPAGE="http://www.adobe.com/devnet/opentype/afdko.html"
+DOWNLOAD="https://github.com/adobe-type-tools/afdko/archive/2.5.65322/afdko-2.5.65322.tar.gz"
+MD5SUM="98d9b1c06a4308316edf3963939bd356"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="numpy python-fonttools"
+MAINTAINER="Duncan Roe"
+EMAIL="duncan_roe@optusnet.com.au"
diff --git a/system/afdko/afdko.sh b/system/afdko/afdko.sh
new file mode 100644
index 0000000000..90ded0ef4f
--- /dev/null
+++ b/system/afdko/afdko.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+FDK_EXE="/opt/afdko/linux"
+if [ ! "$PATH" = "" ]; then
+ echo :$PATH: | grep -q :$FDK_EXE: || PATH=$PATH:$FDK_EXE
+else
+ PATH=$FDK_EXE
+fi
+export FDK_EXE
diff --git a/system/afdko/slack-desc b/system/afdko/slack-desc
new file mode 100644
index 0000000000..1e312f3842
--- /dev/null
+++ b/system/afdko/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+afdko: afdko (Adobe Font Development Kit for OpenType)
+afdko:
+afdko: The goal of the Adobe Font Development Kit for OpenType package is to
+afdko: share the tools used by Adobe font developers for wrapping up
+afdko: PostScript (i.e. Type1) fonts as OpenType/CFF font files, and adding
+afdko: OpenType layout features. These tools are used for in-house
+afdko: development of new Adobe OpenType fonts.
+afdko:
+afdko: Now that Libreoffice has dropped support for Type1 fonts, one can use
+afdko: the afdko to convert the system Type1 fonts to OTF, which
+afdko: Libreoffice supports. The package Type1_to_OTF does this.